<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="get_problem_sizes" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>17-Mar-2003</pubdate>
  </info>

  <refnamediv>
    <refname>get_problem_sizes</refname>
    <refpurpose>returns properties of a decoded SIF problem</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>props=get_problem_sizes(probpath)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>probpath</term>

        <listitem>
          <para>The path of the directory where the decoded problem
          files have been stored by <link
          linkend="sifdecode">sifdecode</link></para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>props</term>

        <listitem>
          <para>A <literal>tlist</literal> with the following fields:</para>
	  <variablelist>
	    <varlistentry>
	      <term>name</term>
	      <listitem>
		<para>
		  a character string, the problem name
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nfree</term>
	      <listitem>
		<para>
		  a number with integer value: the number of free variables
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nfixed</term>
	      <listitem>
		<para>
		  a number with integer value: the number of fixed variables (variables which have imposed values).
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nlower</term>
	      <listitem>
		<para>
		  a number with integer value: the number of lower bounded  variables.
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nupper</term>
	      <listitem>
		<para>
		  a number with integer value: the number of upper bounded  variables.
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nboth</term>
	      <listitem>
		<para>
		  a number with integer value: the number of lower AND upper bounded  variables.
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nslack</term>
	      <listitem>
		<para>
		  a number with integer value: the number of 
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nlinobj</term>
	      <listitem>
		<para>
		  a number with integer value: the number of variables which contribute linearily to the objective
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nnlinobj</term>
	      <listitem>
		<para>
		  a number with integer value: the number of variables which contribute non-linearily to the objective
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nlineq</term>
	      <listitem>
		<para>
		  a number with integer value: the number of linear equality constraints
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nnlineq</term>
	      <listitem>
		<para>
		  a number with integer value: the number of nonlinear equality constraints
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nlinin</term>
	      <listitem>
		<para>
		  a number with integer value: the number of linear inequality constraints
		</para>
	      </listitem>
	    </varlistentry>
	    <varlistentry>
	      <term>nnlinin</term>
	      <listitem>
		<para>
		  a number with integer value: the number of nonlinear inequality constraints
		</para>
	      </listitem>
	    </varlistentry>

	  </variablelist>
        </listitem>

      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Given a decoded SIF problem stored in  file <literal>probpath</literal> directory , this function reads the data stored in 
    the <literal>OUTSDIF.d</literal> file to get the problem sizes.</para>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="sifdecode">sifdecode </link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>
    <para>Serge Steer, INRIA</para>
  </refsection>
</refentry>
